Subject: Re: bug#66272: 30.0.50; Dired fails to revert when wildchars in path

From: Michael Heerdegen <[email-masked]>
Date: Sun, 01 Oct 2023 03:27:22 +0200

Michael Heerdegen <[email-masked]> writes:

>   1. dired /home/micha/Treasure/today/test?dir/a [I see the three
>      files as expected]
>   2. Rename directory "a" to "b".  I did that from a second dired buffer
>      of "test?dir" using wdired, but it should not matter.
>   3. Go back to the first dired buffer and hit g.  Then my buffer
>      only displays these contents:
>
> | ls: cannot access 'test?dir/b/': No such file or directory
> | //DIRED-OPTIONS// --quoting-style=literal

Hmm - reverting seems to fail always (dired doesn't know that the
directory name changed), but in the case of a name without special
wildcard patterns dired just complains that the file doesn't exist.  The
way of failing seems to be different in these cases, which confused me.

Can we make it so that the failing behavior is the same in both cases?

Michael.